SOURCES: courier-authlib.init (NEW) - new

arekm arekm at pld-linux.org
Thu Sep 1 15:35:03 CEST 2005


Author: arekm                        Date: Thu Sep  1 13:35:02 2005 GMT
Module: SOURCES                       Tag: HEAD
---- Log message:
- new

---- Files affected:
SOURCES:
   courier-authlib.init (NONE -> 1.1)  (NEW)

---- Diffs:

================================================================
Index: SOURCES/courier-authlib.init
diff -u /dev/null SOURCES/courier-authlib.init:1.1
--- /dev/null	Thu Sep  1 15:35:02 2005
+++ SOURCES/courier-authlib.init	Thu Sep  1 15:34:57 2005
@@ -0,0 +1,77 @@
+#!/bin/sh
+#
+# courier-authlib	courier-authlib
+#
+# chkconfig:	345 85 15
+# description:	courier-authlib 
+#
+
+# Source function library
+. /etc/rc.d/init.d/functions
+
+# Get network config
+. /etc/sysconfig/network
+
+# Get service config
+[ -f /etc/sysconfig/courier-authlib ] && . /etc/sysconfig/courier-authlib
+
+# Check that networking is up.
+if is_yes "${NETWORKING}"; then
+	if [ ! -f /var/lock/subsys/network -a "$1" != stop -a "$1" != status ]; then
+		# nls "ERROR: Networking is down. %s can't be run." <service>
+		msg_network_down courier-authlib
+		exit 1
+	fi
+else
+	exit 0
+fi
+
+RETVAL=0
+# See how we were called.
+case "$1" in
+  start)
+	# Check if the service is already running?
+	if [ ! -f /var/lock/subsys/courier-authlib ]; then
+		msg_starting courier-authlib
+		daemon /usr/sbin/authdaemond
+		RETVAL=$?
+		[ $RETVAL -eq 0 ] && touch /var/lock/subsys/courier-authlib
+	else
+		msg_already_running courier-authlib
+	fi
+	;;
+  stop)
+	# Stop daemons.
+	if [ -f /var/lock/subsys/courier-authlib ]; then
+		msg_stopping courier-authlib
+		killproc authdaemond
+		rm -f /var/lock/subsys/courier-authlib >/dev/null 2>&1
+	else
+		msg_not_running courier-authlib
+	fi
+	;;
+  status)
+	status authdaemond
+	RETVAL=$?
+	;;
+  restart)
+  	$0 stop
+	$0 start
+	;;
+  reload|force-reload|graceful)
+	if [ -f /var/lock/subsys/courier-authlib ]; then
+		msg_reloading courier-authlib
+		killproc authdaemond -HUP
+		RETVAL=$?
+	else
+		msg_not_running courier-authlib
+		RETVAL=7
+	fi
+	;;
+  *)
+	msg_usage "$0 {start|stop|restart|reload|force-reload|graceful|status}"
+	exit 3
+	;;
+esac
+
+exit $RETVAL
================================================================



More information about the pld-cvs-commit mailing list